org.wso2.carbon.dataservices.ui.beans

## Class CallQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.CallQuery

-     public class CallQuery
      extends DataServiceConfigurationElement

  Represents + element.
  See Also:
    `WithParam`, `Operation,Resource`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallQuery()`
    `CallQuery(String href, ArrayList<WithParam> withParams, String requiredRoles, String xsdType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addWithParam(WithParam withParam)`
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String` | `getHref()`
    `List<WithParam>` | `getWithParams()`
    `void` | `setHref(String href)`
    `void` | `setWithParams(List<WithParam> withParams)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallQuery

          public CallQuery()

    - #### CallQuery

          public CallQuery(String href,
                           ArrayList<WithParam> withParams,
                           String requiredRoles,
                           String xsdType)

  - ### Method Detail

    - #### getHref

          public String getHref()

    - #### setHref

          public void setHref(String href)

    - #### getWithParams

          public List<WithParam> getWithParams()

    - #### setWithParams

          public void setWithParams(List<WithParam> withParams)

    - #### addWithParam

          public void addWithParam(WithParam withParam)

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

Copyright © 2018 WSO2. All rights reserved.